# TomTom Home Setup Script
# 2018-2020 foo.li systeme + software

$packageName    = 'tomtom-home'
$version        = '2.20.8.1298'
$installerType  = 'EXE'
$url            = 'http://download.tomtom.com/sweet/application/home2upgrade/home2latest/TomTomHOME2win.exe'
$url64          = $url
$silentArgs     = '/S /v/qn'
$uninstlink     = $env:allusersprofile + '\Microsoft\Windows\Start Menu\Programs\TomTom\Entfernen TomTom HOME 2.lnk'
$checksum       = '12175d47a812aa1e8090aa70dae8cc25fe9e812e'
$checksumType   = 'sha1'
$checksum64     = $checksum
$checksumType64 = $checksumType

try {
    Install-ChocolateyPackage $packageName $installerType $silentArgs $url $url64 `
                -checksum $checksum -checksumType $checksumType `
                -checksum64 $checksum64 -checksumType64 $checksumType64
    Remove-Item -Path "$uninstlink" -Force -ErrorAction SilentlyContinue
} catch {
    throw $_.Exception
}
